Jump to content
Sign in to follow this  
RevendaHost

WHM 58 e Easyapache 4

Recommended Posts

Bom dia a todos.

Alguém utilizando a versão 58 em testes ou produção? Atualizei um servidor de testes ontem, e a partir da versão 58 o Easy apache 4 é padrão e não vem o 3.

Achei estranho pois depois da atualização o Easy apache 3 foi removido completamente, e então tentei de tudo e para volta para ele e não foi possível. Com o Easy apache 4 deram aguns problemas e não dá para confiar em atualizar um servidor em produção.

Alguém mais passando por isso?


Gerenciamento e otimização de servidores: Centos, Debian, Ubuntu, Cpanel e VestaCP.
Cloud otimizado e otimização para: Wordpress e Magento.
Virtualização: Implementação e gerenciamento Virtualizor, Proxmox, Openstack e VMware.

Share this post


Link to post
Share on other sites

@RevendaHost A versão 58.0.12 está com o Easy apache 3 sim. Pelo menos em 1 servidor que foi atualizado está.

Quais problemas deu? seria legal ir passando...


 www.HostSeries.com.br - Hospedagem de sites, Revendas, Streaming, VPS SSD e Gerenciamento avançado!

 Revenda de hospedagem SSD - 50% de desconto LiteSpeed, Proteção DDoS, Anti-SPAM - 100% Uptime ( cód: PDH )

Share this post


Link to post
Share on other sites
7 minutos atrás, Jorge Marcelino disse:

@RevendaHost A versão 58.0.12 está com o Easy apache 3 sim. Pelo menos em 1 servidor que foi atualizado está.

Quais problemas deu? seria legal ir passando...

Então, eu estava lendo no site do cPanel que a partir da versão 58 o padrão é o Easyapache4 e que o Easyapache 3 passa a ser um pacote rpm. Porém, creio que em caso de atualização tenha que manter o 3 para quem usa. No meu caso isso não aconteceu e por sorte eu atualizei um servidor de testes.

Enfim, estão ocorrendo diversos erros, desde erro 500 em páginas aleatórias dos sites de testes e muitos erros de PHP, informando sobre classes desabilitadas, erro na linha X, Y etc... Então verificando via phpinfo está tudo habilitado, já recompilei o Apache/PHP e nada. Tudo isso usando o Easyapache 4.

O MariaDB também passou a consumir processamento e memória de forma absurda.

Então vou eu lá remover o Easy 4 e voltar para o 3, na esperança de voltar tudo como estava antes. Não foi possível.

Acabei fazendo uma instalação do zero em uma VM no meu PC, e não consigo remover o Easyapache4 e instalar o 3 de forma alguma.


Gerenciamento e otimização de servidores: Centos, Debian, Ubuntu, Cpanel e VestaCP.
Cloud otimizado e otimização para: Wordpress e Magento.
Virtualização: Implementação e gerenciamento Virtualizor, Proxmox, Openstack e VMware.

Share this post


Link to post
Share on other sites
6 minutos atrás, MarksEliel disse:

A atualização está bloqueada em dois servidores que tenho, não sei o motivo, pois quando clico em detalhes não abre nada para informar...

http://prntscr.com/c14myp

Um cliente que gerencio o servidor está do mesmo jeito, nem forçando um atualização resolve.

16 minutos atrás, eurotigroup disse:

@RevendaHost Aqui também atualizamos um servidor para a versão "versão 58.0.12" do cpanel e ele continuou com o "Easy apache 3" normalmente.

 

Pois é na atualização que fiz ele removeu e instalou o 4. Agora em uma instalação do zero vem o 4, instalado e também não consigo remover e instalar o 3.

 


Gerenciamento e otimização de servidores: Centos, Debian, Ubuntu, Cpanel e VestaCP.
Cloud otimizado e otimização para: Wordpress e Magento.
Virtualização: Implementação e gerenciamento Virtualizor, Proxmox, Openstack e VMware.

Share this post


Link to post
Share on other sites
18 minutos atrás, MarksEliel disse:

A atualização está bloqueada em dois servidores que tenho, não sei o motivo, pois quando clico em detalhes não abre nada para informar...

http://prntscr.com/c14myp

Isso é comum. Força a atualização via ssh:  /scripts/upcp --force


 www.HostSeries.com.br - Hospedagem de sites, Revendas, Streaming, VPS SSD e Gerenciamento avançado!

 Revenda de hospedagem SSD - 50% de desconto LiteSpeed, Proteção DDoS, Anti-SPAM - 100% Uptime ( cód: PDH )

Share this post


Link to post
Share on other sites

Eu ativei um servidor essa semana e tive essa experiencia ruim (no meu ponto de vista) de ter apenas o easyapache 4, tivemos alguns problemas, resolvemos todos, mas é duro "gente véia", está acostumado com coisa antiga heheheh eu queria voltar a versão 3 também e não é possivel.

Eu fiquei um pouco confuso com relação ao suexec, em handler, não é é possivel selecionar ele, mas instalei ele pelo easyapache e no csf informou que resolveu o problema de segurança...

Apesar de não ter gostado dele, após uns 20 minutos fuçando, deu para compreender o funcionamento dele.

A unica vantagem (p/ mim que não sou da parte tecnica), foi ver o easyapache compilando em poucos segundos após uma mudança hehehehe


oGigante.com • Revenda de Hospedagem + Construtor de Site
█ CloudLinux • DNS Próprio • Softaculous PREMIUM • PHP 5.2 ao 5.7 • Proteção Adicional e +

Share this post


Link to post
Share on other sites
26 minutos atrás, chuvadenovembro disse:

Eu ativei um servidor essa semana e tive essa experiencia ruim (no meu ponto de vista) de ter apenas o easyapache 4, tivemos alguns problemas, resolvemos todos, mas é duro "gente véia", está acostumado com coisa antiga heheheh eu queria voltar a versão 3 também e não é possivel.

Eu fiquei um pouco confuso com relação ao suexec, em handler, não é é possivel selecionar ele, mas instalei ele pelo easyapache e no csf informou que resolveu o problema de segurança...

Apesar de não ter gostado dele, após uns 20 minutos fuçando, deu para compreender o funcionamento dele.

A unica vantagem (p/ mim que não sou da parte tecnica), foi ver o easyapache compilando em poucos segundos após uma mudança hehehehe

Pois é também reparei essa questão que envolve suexec, suphp, cgi... e achei meio confuso, não tem como selecionar mas tem como instalar recompilando o Apache.

Eu já instalei o Easy 4 uma vez por curiosidade e não fui com a cara dele, esse atual pelo menos está mais organizado, mais fácil de compreender e rápido para compilar. Mas mesmo assim prefiro o Easy 3 e como falei não tem como voltar, pelo visto você percebeu isso. rsrs

Sorte dos colegas que permaneceram com ele instalado, pois no meu caso além de mudar bagunçou tudo. Por sorte não foi em nenhum servidor em produção, senão estaria ferrado.

Enfim, abri um ticket no suporte para saber como que faço para voltar ao 3, já que no site diz que ele passou a ser um pacote, mas não achei nada, nem repositório.


Gerenciamento e otimização de servidores: Centos, Debian, Ubuntu, Cpanel e VestaCP.
Cloud otimizado e otimização para: Wordpress e Magento.
Virtualização: Implementação e gerenciamento Virtualizor, Proxmox, Openstack e VMware.

Share this post


Link to post
Share on other sites
2 horas atrás, MarksEliel disse:

A atualização está bloqueada em dois servidores que tenho, não sei o motivo, pois quando clico em detalhes não abre nada para informar...

http://prntscr.com/c14myp

é assim mesmo, o cPanel faz isso para não sobrecarregar os servidores. Imagina todos servidores que rodam cPanel atualizando no mesmo dia.

Serve para não sobrecarregar os servidores como o suporte, já que muita gente entra em contato para tirar duvida de algo que apareceu ou sumiu.

Porém é possivel forçar a atualização, seja pelo WHM como via ssh com o comando citado acima.

-

Minha unica preocupação com o Easyapache 4 é a compatibilidade com CloudLinux. Já estão rodando bem juntos?


 Super T Host | Revenda de Hospedagem Ilimitada a partir de R$ 32,95 por mês
 Utilize o cupom PDH e ganhe 60% de desconto nos 3 primeiros meses nos planos de Revenda.
 www.superthost.com.br - Telefone e WhatsApp 21 4125 4334

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.




×
×
  • Create New...